<html lang="en">
<head>
<title>Frames and Faces - Speedbar: File/Tag summarizing utility</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Speedbar: File/Tag summarizing utility">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Customizing.html#Customizing" title="Customizing">
<link rel="prev" href="Customizing.html#Customizing" title="Customizing">
<link rel="next" href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods" title="Tag Hierarchy Methods">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Frames-and-Faces"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Customizing.html#Customizing">Customizing</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Customizing.html#Customizing">Customizing</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">6.1 Frames and Faces</h3>

<p><a name="index-faces-29"></a><a name="index-frame-parameters-30"></a>
There are several faces speedbar generates to provide a consistent
color scheme across display types.  You can customize these faces using
your favorite method.  They are:

     
<a name="index-g_t_0040code_007bspeedbar_002dbutton_002dface_007d-31"></a>
<dl><dt>speedbar-button-face<dd>Face used on expand/contract buttons. 
<a name="index-g_t_0040code_007bspeedbar_002dfile_002dface_007d-32"></a><br><dt>speedbar-file-face<dd>Face used on Files.  Should also be used on non-directory like nodes. 
<a name="index-g_t_0040code_007bspeedbar_002ddirectory_002dface_007d-33"></a><br><dt>speedbar-directory-face<dd>Face used for directories, or nodes which consist of groups of other nodes. 
<a name="index-g_t_0040code_007bspeedbar_002dtag_002dface_007d-34"></a><br><dt>speedbar-tag-face<dd>Face used for tags in a file, or for leaf items. 
<a name="index-g_t_0040code_007bspeedbar_002dselected_002dface_007d-35"></a><br><dt>speedbar-selected-face<dd>Face used to highlight the selected item.  This would be the current
file being edited. 
<a name="index-g_t_0040code_007bspeedbar_002dhighlight_002dface_007d-36"></a><br><dt>speedbar-highlight-face<dd>Face used when the mouse passes over a button. 
</dl>

   <p>You can also customize speedbar's initial frame parameters.  How this is
accomplished is dependent on your platform being Emacs or XEmacs.

   <p><a name="index-g_t_0040code_007bspeedbar_002dframe_002dparameters_007d_002c-Emacs-37"></a>In Emacs, change the alist <code>speedbar-frame-parameters</code>.  This
variable is used to set up initial details.  Height is also
automatically added when speedbar is created, though you can override
it.

   <p><a name="index-g_t_0040code_007bspeedbar_002dframe_002dplist_007d_002c-XEmacs-38"></a>In XEmacs, change the plist <code>speedbar-frame-plist</code>.  This is the
XEmacs way of doing the same thing.

   </body></html>

